/**
 * ioctl.h - Header file with common declarations for the PciAc5 driver
 * and the applications
 *
 * Copyright (c) 2013 David Azarewicz david@88watts.net
 *
 * This file is part of the PciAc5 Device Driver.
 *
 * PciAc5 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * PciAc5 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PciAc5.  If not, see <http://www.gnu.org/licenses/>.
 */
#define IOCTL_CATEGORY 0x80
#define IOCTL_FUNCTION_INFO 0x40
#define IOCTL_FUNCTION_IORW 0x41

#define IOCTL_FCN_READ_DATA_0    0x00000000
#define IOCTL_FCN_READ_DATA_1    0x00000001
#define IOCTL_FCN_WRITE_DATA_0   0x00000100
#define IOCTL_FCN_WRITE_DATA_1   0x00000101
#define IOCTL_FCN_READ_CONFIG_0  0x00001000
#define IOCTL_FCN_READ_CONFIG_1  0x00001001
#define IOCTL_FCN_WRITE_CONFIG_0 0x00001100
#define IOCTL_FCN_WRITE_CONFIG_1 0x00001101

typedef struct _AC5INFO {
    ULONG Command;
    ULONG Data;
} AC5INFO, *PAC5INFO;


